ETSI STF525 / Internal Testing test suite This project provides an internal testing test suite and its associated Test Adapter/Codec

Functions
ITS_ContainerCodec.hh File Reference
`#include "Asn1cEncDec.hh"`
`#include "ITS_Container.hh"`

Go to the source code of this file.

## Functions
void | titan2asn1c (const ITS__Container::ItsPduHeader &, ItsPduHeader &)
ITS__Container::ItsPduHeader | asn1c2titan (const ItsPduHeader &a)
void | titan2asn1c (const ITS__Container::ReferencePosition &, ReferencePosition &a)
ITS__Container::ReferencePosition | asn1c2titan (const ReferencePosition &a)
void | titan2asn1c (const ITS__Container::VehicleRole &, long &a)
void | titan2asn1c (const ITS__Container::PathHistory &, PathHistory &a)
ITS__Container::PathHistory | asn1c2titan (const PathHistory &a)
void | titan2asn1c (const ITS__Container::ProtectedCommunicationZonesRSU &, ProtectedCommunicationZonesRSU &)
ITS__Container::ProtectedCommunicationZonesRSU | asn1c2titan (const ProtectedCommunicationZonesRSU &)
void | titan2asn1c (const ITS__Container::Heading &, Heading &a)
ITS__Container::Heading | asn1c2titan (const Heading &a)
void | titan2asn1c (const ITS__Container::Speed &, Speed &a)
ITS__Container::Speed | asn1c2titan (const Speed &a)
void | titan2asn1c (const ITS__Container::VehicleLength &, VehicleLength &a)
ITS__Container::VehicleLength | asn1c2titan (const VehicleLength &a)
void | titan2asn1c (const ITS__Container::LongitudinalAcceleration &, LongitudinalAcceleration &a)
ITS__Container::LongitudinalAcceleration | asn1c2titan (const LongitudinalAcceleration &a)
void | titan2asn1c (const ITS__Container::Curvature &, Curvature &a)
ITS__Container::Curvature | asn1c2titan (const Curvature &a)
void | titan2asn1c (const ITS__Container::YawRate &, YawRate &a)
ITS__Container::YawRate | asn1c2titan (const YawRate &a)
void | titan2asn1c (const ITS__Container::SteeringWheelAngle &, SteeringWheelAngle &a)
ITS__Container::SteeringWheelAngle | asn1c2titan (const SteeringWheelAngle &a)
void | titan2asn1c (const ITS__Container::LateralAcceleration &, LateralAcceleration &a)
ITS__Container::LateralAcceleration | asn1c2titan (const LateralAcceleration &a)
void | titan2asn1c (const ITS__Container::VerticalAcceleration &, VerticalAcceleration &a)
ITS__Container::VerticalAcceleration | asn1c2titan (const VerticalAcceleration &a)
void | titan2asn1c (const ITS__Container::CenDsrcTollingZone &, CenDsrcTollingZone &a)
ITS__Container::CenDsrcTollingZone | asn1c2titan (const CenDsrcTollingZone &a)
void | titan2asn1c (const ITS__Container::DriveDirection &, long &a)
void | titan2asn1c (const ITS__Container::CurvatureCalculationMode &, long &)
void | titan2asn1c (const ITS__Container::DangerousGoodsBasic &, long &a)
void | titan2asn1c (const ITS__Container::CauseCode &, CauseCode &a)
ITS__Container::CauseCode | asn1c2titan (const CauseCode &a)
void | titan2asn1c (const ITS__Container::TrafficRule &t, long &a)
void | titan2asn1c (const ITS__Container::PtActivation &t, PtActivation &a)
ITS__Container::PtActivation | asn1c2titan (const PtActivation &a)
void | titan2asn1c (const ITS__Container::ClosedLanes &t, ClosedLanes &a)
ITS__Container::ClosedLanes | asn1c2titan (const ClosedLanes &a)
void | titan2asn1c (const ITS__Container::PosConfidenceEllipse &t, PosConfidenceEllipse &a)
ITS__Container::PosConfidenceEllipse | asn1c2titan (const PosConfidenceEllipse &a)
void | titan2asn1c (const ITS__Container::Altitude &t, Altitude &a)
ITS__Container::Altitude | asn1c2titan (const Altitude &a)

## Function Documentation

## ◆ asn1c2titan() [1/19]

ITS__Container::ItsPduHeader asn1c2titan | ( | const ItsPduHeader & | a | ) |

## ◆ asn1c2titan() [2/19]

ITS__Container::ReferencePosition asn1c2titan | ( | const ReferencePosition & | a | ) |

## ◆ asn1c2titan() [3/19]

ITS__Container::PathHistory asn1c2titan | ( | const PathHistory & | a | ) |

## ◆ asn1c2titan() [4/19]

ITS__Container::ProtectedCommunicationZonesRSU asn1c2titan | ( | const ProtectedCommunicationZonesRSU & |  | ) |

## ◆ asn1c2titan() [5/19]

ITS__Container::Heading asn1c2titan | ( | const Heading & | a | ) |

## ◆ asn1c2titan() [6/19]

ITS__Container::Speed asn1c2titan | ( | const Speed & | a | ) |

## ◆ asn1c2titan() [7/19]

ITS__Container::VehicleLength asn1c2titan | ( | const VehicleLength & | a | ) |

## ◆ asn1c2titan() [8/19]

ITS__Container::LongitudinalAcceleration asn1c2titan | ( | const LongitudinalAcceleration & | a | ) |

## ◆ asn1c2titan() [9/19]

ITS__Container::Curvature asn1c2titan | ( | const Curvature & | a | ) |

## ◆ asn1c2titan() [10/19]

ITS__Container::YawRate asn1c2titan | ( | const YawRate & | a | ) |

## ◆ asn1c2titan() [11/19]

ITS__Container::SteeringWheelAngle asn1c2titan | ( | const SteeringWheelAngle & | a | ) |

## ◆ asn1c2titan() [12/19]

ITS__Container::LateralAcceleration asn1c2titan | ( | const LateralAcceleration & | a | ) |

## ◆ asn1c2titan() [13/19]

ITS__Container::VerticalAcceleration asn1c2titan | ( | const VerticalAcceleration & | a | ) |

## ◆ asn1c2titan() [14/19]

ITS__Container::CenDsrcTollingZone asn1c2titan | ( | const CenDsrcTollingZone & | a | ) |

## ◆ asn1c2titan() [15/19]

ITS__Container::CauseCode asn1c2titan | ( | const CauseCode & | a | ) |

## ◆ asn1c2titan() [16/19]

ITS__Container::PtActivation asn1c2titan | ( | const PtActivation & | a | ) |

## ◆ asn1c2titan() [17/19]

ITS__Container::ClosedLanes asn1c2titan | ( | const ClosedLanes & | a | ) |

## ◆ asn1c2titan() [18/19]

ITS__Container::PosConfidenceEllipse asn1c2titan | ( | const PosConfidenceEllipse & | a | ) |

## ◆ asn1c2titan() [19/19]

ITS__Container::Altitude asn1c2titan | ( | const Altitude & | a | ) |

## ◆ titan2asn1c() [1/24]

void titan2asn1c | ( | const ITS__Container::ItsPduHeader & | ,
|  | ItsPduHeader & |
| ) |  |

## ◆ titan2asn1c() [2/24]

void titan2asn1c | ( | const ITS__Container::ReferencePosition & | ,
|  | ReferencePosition & | a
| ) |  |

## ◆ titan2asn1c() [3/24]

void titan2asn1c | ( | const ITS__Container::VehicleRole & | ,
|  | long & | a
| ) |  |

## ◆ titan2asn1c() [4/24]

void titan2asn1c | ( | const ITS__Container::PathHistory & | ,
|  | PathHistory & | a
| ) |  |

## ◆ titan2asn1c() [5/24]

void titan2asn1c | ( | const ITS__Container::ProtectedCommunicationZonesRSU & | ,
|  | ProtectedCommunicationZonesRSU & |
| ) |  |

## ◆ titan2asn1c() [6/24]

void titan2asn1c | ( | const ITS__Container::Heading & | ,
|  | Heading & | a
| ) |  |

## ◆ titan2asn1c() [7/24]

void titan2asn1c | ( | const ITS__Container::Speed & | ,
|  | Speed & | a
| ) |  |

## ◆ titan2asn1c() [8/24]

void titan2asn1c | ( | const ITS__Container::VehicleLength & | ,
|  | VehicleLength & | a
| ) |  |

## ◆ titan2asn1c() [9/24]

void titan2asn1c | ( | const ITS__Container::LongitudinalAcceleration & | ,
|  | LongitudinalAcceleration & | a
| ) |  |

## ◆ titan2asn1c() [10/24]

void titan2asn1c | ( | const ITS__Container::Curvature & | ,
|  | Curvature & | a
| ) |  |

## ◆ titan2asn1c() [11/24]

void titan2asn1c | ( | const ITS__Container::YawRate & | ,
|  | YawRate & | a
| ) |  |

## ◆ titan2asn1c() [12/24]

void titan2asn1c | ( | const ITS__Container::SteeringWheelAngle & | ,
|  | SteeringWheelAngle & | a
| ) |  |

## ◆ titan2asn1c() [13/24]

void titan2asn1c | ( | const ITS__Container::LateralAcceleration & | ,
|  | LateralAcceleration & | a
| ) |  |

## ◆ titan2asn1c() [14/24]

void titan2asn1c | ( | const ITS__Container::VerticalAcceleration & | ,
|  | VerticalAcceleration & | a
| ) |  |

## ◆ titan2asn1c() [15/24]

void titan2asn1c | ( | const ITS__Container::CenDsrcTollingZone & | ,
|  | CenDsrcTollingZone & | a
| ) |  |

## ◆ titan2asn1c() [16/24]

void titan2asn1c | ( | const ITS__Container::DriveDirection & | ,
|  | long & | a
| ) |  |

## ◆ titan2asn1c() [17/24]

void titan2asn1c | ( | const ITS__Container::CurvatureCalculationMode & | ,
|  | long & |
| ) |  |

## ◆ titan2asn1c() [18/24]

void titan2asn1c | ( | const ITS__Container::DangerousGoodsBasic & | ,
|  | long & | a
| ) |  |

## ◆ titan2asn1c() [19/24]

void titan2asn1c | ( | const ITS__Container::CauseCode & | ,
|  | CauseCode & | a
| ) |  |

## ◆ titan2asn1c() [20/24]

void titan2asn1c | ( | const ITS__Container::TrafficRule & | t,
|  | long & | a
| ) |  |

## ◆ titan2asn1c() [21/24]

void titan2asn1c | ( | const ITS__Container::PtActivation & | t,
|  | PtActivation & | a
| ) |  |

## ◆ titan2asn1c() [22/24]

void titan2asn1c | ( | const ITS__Container::ClosedLanes & | t,
|  | ClosedLanes & | a
| ) |  |

## ◆ titan2asn1c() [23/24]

void titan2asn1c | ( | const ITS__Container::PosConfidenceEllipse & | t,
|  | PosConfidenceEllipse & | a
| ) |  |

## ◆ titan2asn1c() [24/24]

void titan2asn1c | ( | const ITS__Container::Altitude & | t,
|  | Altitude & | a
| ) |  |